MWAWOLEStream.cxx File Reference
`#include <stdio.h>`
`#include <cctype>`
`#include <cstring>`
`#include <iostream>`
`#include <list>`
`#include <set>`
`#include <sstream>`
`#include <string>`
`#include <vector>`
`#include "libwpd-stream/libwpd-stream.h"`
`#include "libmwaw_internal.hxx"`
`#include "MWAWInputStream.hxx"`
`#include "MWAWDebug.hxx"`
`#include "MWAWOLEStream.hxx"`

## Classes

class | libmwawOLE::Header
class | libmwawOLE::AllocTable
class | libmwawOLE::DirInfo
| Internal and low level: class of libmwawOLE used to store and write a information find in a directory entry. More...
class | libmwawOLE::DirEntry
| Internal and low level: class of libmwawOLE used to store and write a directory entry. More...
class | libmwawOLE::DirTree
| Internal and low level: class of libmwawOLE used to store and write a dirTree. More...
struct | libmwawOLE::DirTree::CompareEntryName
| a comparison funcion of DirTree used to sort the entry by name More...
class | libmwawOLE::IStorage
| Internal and low level: class of libmwawOLE used to read an OLE with various functions to retrieve the OLE content. More...
class | libmwawOLE::IStream
class | libmwawOLE::OStorage

## Namespaces

| libmwawOLE
| a namespace used to wrap basic OLE functions

## Macros

#define | DEBUG_OLE 0

## Enumerations

enum | { libmwawOLE::Avail = 0xffffffff, libmwawOLE::Eof = 0xfffffffe, libmwawOLE::Bat = 0xfffffffd, libmwawOLE::MetaBat = 0xfffffffc, libmwawOLE::NotFound =0xfffffff0 }

## Functions

static unsigned long | libmwawOLE::readU16 (const unsigned char *ptr)
static unsigned long | libmwawOLE::readU32 (const unsigned char *ptr)
static void | libmwawOLE::writeU16 (unsigned char *ptr, unsigned long data)
static void | libmwawOLE::writeU32 (unsigned char *ptr, unsigned long data)
std::ostream & | libmwawOLE::operator<< (std::ostream &o, Header const &h)
std::ostream & | libmwawOLE::operator<< (std::ostream &o, DirEntry const &e)

## Macro Definition Documentation

#define DEBUG_OLE 0